<?php
/*
 * 注意：此文件由tpl_engine编译型模板引擎编译生成。
 * 如果您的模板要进行修改，请修改 templates/default/modules/mypals/pals_invite.html
 * 如果您的模型要进行修改，请修改 models/modules/mypals/pals_invite.php
 *
 * 修改完成之后需要您进入后台重新编译，才会重新生成。
 * 如果您开启了debug模式运行，那么您可以省去上面这一步，但是debug模式每次都会判断程序是否更新，debug模式只适合开发调试。
 * 如果您正式运行此程序时，请切换到service模式运行！
 * 
 * 如有您有问题请到官方论坛（http://tech.jooyea.com/bbs/）提问，谢谢您的支持。
 */
?><?php
	//必须登录才能浏览该页面
	require("foundation/auser_mustlogin.php");
	
	//引入公共方法	
	require("foundation/fdnurl_aget.php");
	
	//引入语言包
	$mp_langpackage=new mypalslp;
	
	//变量区
	$user_id=get_sess_userid();
	$user_invite_url=get_uinvite_url($user_id);
	$user_home_url=get_uhome_url($user_id);
	
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title></title>
<script type='text/javascript'>
	parent.guide("user_invite");
</script>
<link rel="stylesheet" type="text/css" href="skin/<?php echo $skinUrl;?>/css/row_menus.css">
<link rel="stylesheet" type="text/css" href="skin/<?php echo $skinUrl;?>/css/iframe.css">
<link rel="stylesheet" type="text/css" href="skin/<?php echo $skinUrl;?>/css/user_ico_small.css">
<!--[if lt IE 7]>
<style type="text/css">
.uico_photo_small span { behavior: url(skin/<?php echo $skinUrl;?>/css/ie_png_fix.htc);}
</style>
<![endif]-->
</head>
<body>
  <div class="main_right_title">
     <span class="main_title_dot3"></span>
     <span class="main_title_txt"><?php echo $mp_langpackage->mp_mypals;?></span>
  </div>

<div id="tabsB">
  <ul>
    <li><a href="?app=mypals" title="<?php echo $mp_langpackage->mp_list;?>"><span><?php echo $mp_langpackage->mp_list;?></span></a></li>
    <li><a href="?app=mypals_request" title="<?php echo $mp_langpackage->mp_req;?>"><span><?php echo $mp_langpackage->mp_req;?></span></a></li>
    <li><a href="?app=mypals_invite" title="<?php echo $mp_langpackage->mp_invite;?>" class="nowbutl"><span class="nowbutr"><?php echo $mp_langpackage->mp_invite;?></span></a></li>
    <li><a href="?app=mypals_sort" title="<?php echo $mp_langpackage->mp_m_sort;?>"><span><?php echo $mp_langpackage->mp_m_sort;?></span></a></li>
  </ul>
	  
	<div class="div_but" onclick="location.href='?app=mypals_search'"><?php echo $mp_langpackage->mp_add;?></div>
</div>

<div class="photo_view_box">
	<div class="photo_view_content">
		<dl class="invite_info">
			<dt><strong>邀请更多的朋友和同事加入<?php echo $siteName;?>！</strong></dt>
			<dd>您可以通过QQ、MSN等IM工具，或者发送邮件，把下面的链接告诉你的好友，邀请他们加入进来。</dd>
			<dd><a href="<?php echo $user_home_url;?>" target="_blank"><?php echo $user_home_url;?></a></dd>
			<dd>您还可以修改或直接点击“复制”按钮，将下边的简短邀请函通过QQ、MSN或Email发送给更多好友。</dd>
			<dd><strong>简短邀请函:</strong></dd>
			<dd><TEXTAREA id="codeTxt">
Hi，我是<?php echo filt_word(get_sess_username());?>，

<?php echo $siteName;?>上建立了个人主页，邀请你也加入并成为我的好友。

加入到我的好友中，你就可以通过我的个人主页了解我的近况，分享我的照片，随时与我保持联系。

邀请附言：

点击以下链接，接受好友邀请：
<?php echo $user_invite_url;?>


如果你拥有<?php echo $siteName;?>上的账号，请点击以下链接查看我的个人主页：
<?php echo $user_home_url;?>
	</TEXTAREA> </dd>
<dd>	<input type=button id="copy_start" value="点击复制内容，粘贴消息通过QQ、MSN或Email发送给好友"></dd>
		</dl>
	</div>
</div>		

<script type="text/javascript">

    var copyStart=document.getElementById("copy_start");
     copyStart.onclick=function() {
     copy(document.getElementById("codeTxt"), {sMsg : "复制成功,直接Ctrl+V进行粘贴", fMsg : "您的浏览器不支持自动复制功能，请使用Ctrl+C进行复制"});
    }
     copyStart.onmouseover = function(){
	 	this.style.background = "#ffffcc"
	 }
     copyStart.onmouseout = function(){
	 	this.style.background = "#efefef"
	 }
 
    function copy(obj, aoConfig) {
     if(obj.type != "hidden" && obj.value != "") {
      obj.focus();
     }
     obj.select();
     if(copyToClipboard(obj.value)) {
      parent.Dialog.alert(aoConfig.sMsg);
     }
    
     function copyToClipboard(value) {
      if(window.clipboardData) { 
            window.clipboardData.clearData(); 
            window.clipboardData.setData("Text", value); 
        }
      else if(navigator.userAgent.indexOf("Opera") != -1) {
       window.location = value;
      }
      else if (window.netscape) { 
            try { 
                netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect"); 
            } 
            catch (e) { 
                parent.Dialog.alert(aoConfig.fMsg);
        return false;
            } 
            var clip = Components.classes['@mozilla.org/widget/clipboard;1'].createInstance(Components.interfaces.nsIClipboard);
            if (!clip) return; 
            var trans = Components.classes['@mozilla.org/widget/transferable;1'].createInstance(Components.interfaces.nsITransferable); 
            if (!trans) return; 
            trans.addDataFlavor('text/unicode'); 
            var str = new Object(); 
            var len = new Object(); 
            var str = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString); 
            var copytext = value; 
            str.data = copytext; 
            trans.setTransferData("text/unicode",str,copytext.length*2); 
            var clipid = Components.interfaces.nsIClipboard; 
            if (!clip) 
                return false; 
            clip.setData(trans,null,clipid.kGlobalClipboard); 
        }
      return true;
     }
    }
   
</script>
</body>
</html>